Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.filters.unsupervised.instance
Class NonSparseToSparse

    java.lang.Object
      weka.filters.Filter
          weka.filters.unsupervised.instance.NonSparseToSparse

All Implemented Interfaces:
  java.io.Serializable, CapabilitiesHandler, OptionHandler, RevisionHandler, StreamableFilter, UnsupervisedFilter

    public class NonSparseToSparse

extends Filter
implements UnsupervisedFilter, StreamableFilter, OptionHandler

An instance filter that converts all incoming instances into sparse format.

Version:
  $Revision: 5987 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`NonSparseToSparse()`

Method Summary
`Capabilities` | `getCapabilities()` Returns the Capabilities of this filter.
`boolean` | `getInsertDummyNominalFirstValue()` Get whether a dummy first value will be inserted in the definition of each nominal attribute.
`java.lang.String[]` | `getOptions()` Gets the current option settings for the OptionHandler.
`java.lang.String` | `getRevision()` Returns the revision string.
`boolean` | `getTreatMissingValuesAsZero()` Get whether missing values are to be treated in the same way as zeros
`java.lang.String` | `globalInfo()` Returns a string describing this filter
`boolean` | `input(Instance instance)` Input an instance for filtering.
`java.lang.String` | `insertDummyNominalFirstValueTipText()` Returns the tip text for this property
`java.util.Enumeration` | `listOptions()` Returns an enumeration describing the available options.
`static void` | `main(java.lang.String[] argv)` Main method for testing this class.
`boolean` | `setInputFormat(Instances instanceInfo)` Sets the format of the input instances.
`void` | `setInsertDummyNominalFirstValue(boolean d)` Set whether to insert a dummy first value in the definition for each nominal attribute or not.
`void` | `setOptions(java.lang.String[] options)` Sets the OptionHandler's options using the given list.
`void` | `setTreatMissingValuesAsZero(boolean m)` Set whether missing values should be treated in the same way as zeros
`java.lang.String` | `treatMissingValuesAsZeroTipText()` Returns the tip text for this property

Methods inherited from class weka.filters.Filter
`batchFilterFile, batchFinished, filterFile, getCapabilities, getOutputFormat, isFirstBatchDone, isNewBatch, isOutputFormatDefined, makeCopies, makeCopy, numPendingOutput, output, outputPeek, toString, useFilter, wekaStaticWrapper`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonSparseToSparse

    public NonSparseToSparse()

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Returns a string describing this filter

  Returns:
    a description of the filter suitable for displaying in the explorer/experimenter gui

### getCapabilities

    public Capabilities getCapabilities()

  Returns the Capabilities of this filter.

  Specified by:
    `getCapabilities` in interface `CapabilitiesHandler`
  Overrides:
    `getCapabilities` in class `Filter`
  Returns:
    the capabilities of this object
  See Also:
    `Capabilities`

### listOptions

    public java.util.Enumeration listOptions()

  Returns an enumeration describing the available options.

  Specified by:
    `listOptions` in interface `OptionHandler`
  Returns:
    an enumeration of all the available options.

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Description copied from interface: `OptionHandler`
  Sets the OptionHandler's options using the given list. All options will be set (or reset) during this call (i.e. incremental setting of options is not possible).

  Specified by:
    `setOptions` in interface `OptionHandler`
  Parameters:
    `options` - the list of options as an array of strings
  Throws:
    `java.lang.Exception` - if an option is not supported

### getOptions

    public java.lang.String[] getOptions()

  Description copied from interface: `OptionHandler`
  Gets the current option settings for the OptionHandler.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Returns:
    the list of current option settings as an array of strings

### setTreatMissingValuesAsZero

    public void setTreatMissingValuesAsZero(boolean m)

  Set whether missing values should be treated in the same way as zeros

  Parameters:
    `m` - true if missing values are to be treated the same as zeros

### getTreatMissingValuesAsZero

    public boolean getTreatMissingValuesAsZero()

  Get whether missing values are to be treated in the same way as zeros

  Returns:
    true if missing values are to be treated in the same way as zeros

### treatMissingValuesAsZeroTipText

    public java.lang.String treatMissingValuesAsZeroTipText()

  Returns the tip text for this property

  Returns:
    tip text for this property suitable for displaying in the explorer/experimenter gui

### setInsertDummyNominalFirstValue

    public void setInsertDummyNominalFirstValue(boolean d)

  Set whether to insert a dummy first value in the definition for each nominal attribute or not.

  Parameters:
    `d` - true if a dummy value is to be inserted for each nominal attribute.

### getInsertDummyNominalFirstValue

    public boolean getInsertDummyNominalFirstValue()

  Get whether a dummy first value will be inserted in the definition of each nominal attribute.

  Returns:
    true if a dummy first value will be inserted for each nominal attribute.

### insertDummyNominalFirstValueTipText

    public java.lang.String insertDummyNominalFirstValueTipText()

  Returns the tip text for this property

  Returns:
    tip text for this property suitable for displaying in the explorer/experimenter gui

### setInputFormat

    public boolean setInputFormat(Instances instanceInfo)
                           throws java.lang.Exception

  Sets the format of the input instances.

  Overrides:
    `setInputFormat` in class `Filter`
  Parameters:
    `instanceInfo` - an Instances object containing the input instance structure (any instances contained in the object are ignored - only the structure is required).
  Returns:
    true if the outputFormat may be collected immediately
  Throws:
    `java.lang.Exception` - if format cannot be processed

### input

    public boolean input(Instance instance)

  Input an instance for filtering. Ordinarily the instance is processed and made available for output immediately. Some filters require all instances be read before producing output.

  Overrides:
    `input` in class `Filter`
  Parameters:
    `instance` - the input instance.
  Returns:
    true if the filtered instance may now be collected with output().
  Throws:
    `java.lang.IllegalStateException` - if no input format has been set.

### getRevision

    public java.lang.String getRevision()

  Returns the revision string.

  Specified by:
    `getRevision` in interface `RevisionHandler`
  Overrides:
    `getRevision` in class `Filter`
  Returns:
    the revision

### main

    public static void main(java.lang.String[] argv)

  Main method for testing this class.

  Parameters:
    `argv` - should contain arguments to the filter: use -h for help

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD